Bug 1476138 - Accounting is broken in shorewall-5.0.14.1-2.el7
Summary: Accounting is broken in shorewall-5.0.14.1-2.el7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: shorewall
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-28 06:52 UTC by Justin Albstmeijer
Modified: 2018-01-30 16:51 UTC (History)
2 users (show)

Fixed In Version: shorewall-5.1.10.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 16:51:26 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix error (815 bytes, patch)
2017-07-28 06:52 UTC, Justin Albstmeijer
no flags Details | Diff

Description Justin Albstmeijer 2017-07-28 06:52:20 UTC
Created attachment 1305806 [details]
Patch to fix error

Description of problem:

Adding accounting rules results in an error

Compiling /etc/shorewall/accounting...
   ERROR: USER/GROUP may only be specified in the OUTPUT section /etc/shorewall/accounting (line 14)


Version-Release number of selected component (if applicable):

5.0.14.1-2.el7


How reproducible:


Steps to Reproduce:
1. Add to /etc/shorewall/accounting something like:

?SECTION INPUT
?SECTION OUTPUT
sync:COUNT       -        -    -    -     - -       sync

2. (re)start shorewall, shorewall start
3. See error

Actual results:

Compiling /etc/shorewall/accounting...
   ERROR: USER/GROUP may only be specified in the OUTPUT section /etc/shorewall/accounting (line 14)

Expected results:

No error

Additional info:

A patch has been provided and I tested it to confirm it fixes this error.

https://sourceforge.net/p/shorewall/mailman/message/35967783/

Comment 1 Fedora Update System 2017-12-28 07:13:50 UTC
shorewall-5.1.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 2 Fedora Update System 2017-12-29 21:13:50 UTC
shorewall-5.1.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 3 Justin Albstmeijer 2018-01-03 13:48:56 UTC
I can confirm I do not get the error anymore after updating to shorewall-5.1.10-1.el7

Gr, J

Comment 4 Fedora Update System 2018-01-08 14:27:45 UTC
shorewall-5.1.10.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 5 Fedora Update System 2018-01-08 19:56:36 UTC
shorewall-5.1.10.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-d833f44e88

Comment 6 Fedora Update System 2018-01-30 16:51:26 UTC
shorewall-5.1.10.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.